diff -urN linux-2.6.0-test1/arch/mips/sibyte/cfe/smp.c linux-2.6.0-test1-printk-mips/arch/mips/sibyte/cfe/smp.c
--- linux-2.6.0-test1/arch/mips/sibyte/cfe/smp.c	2003-07-13 23:37:18.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sibyte/cfe/smp.c	2003-07-17 21:02:09.000000000 -0400
@@ -34,7 +34,7 @@
 	
 	retval = cfe_cpu_start(cpu, &smp_bootstrap, sp, gp, 0);
 	if (retval != 0) {
-		printk("cfe_start_cpu(%i) returned %i\n" , cpu, retval);
+		printk(KERN_INFO "cfe_start_cpu(%i) returned %i\n" , cpu, retval);
 		return 0;
 	} else {
 		return 1;
@@ -66,7 +66,7 @@
 			CPUMASK_SETB(cpu_online_map, i);
 		}
 	}
-	printk("Detected %i available CPU(s)\n", num_online_cpus());
+	printk(KERN_INFO "Detected %i available CPU(s)\n", num_online_cpus());
 }
 
 void prom_smp_finish(void)
diff -urN linux-2.6.0-test1/arch/mips/sibyte/sb1250/bus_watcher.c linux-2.6.0-test1-printk-mips/arch/mips/sibyte/sb1250/bus_watcher.c
--- linux-2.6.0-test1/arch/mips/sibyte/sb1250/bus_watcher.c	2003-07-13 23:33:50.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sibyte/sb1250/bus_watcher.c	2003-07-17 21:03:24.000000000 -0400
@@ -56,9 +56,9 @@
 static void print_summary(uint32_t status, uint32_t l2_err,
 			  uint32_t memio_err)
 {
-	printk("Bus watcher error counters: %08x %08x\n", l2_err, memio_err);
-	printk("\nLast recorded signature:\n");
-	printk("Request %02x from %d, answered by %d with Dcode %d\n",
+	printk(KERN_NOTICE "Bus watcher error counters: %08x %08x\n", l2_err, memio_err);
+	printk(KERN_NOTICE "\nLast recorded signature:\n");
+	printk(KERN_NOTICE "Request %02x from %d, answered by %d with Dcode %d\n",
 	       (unsigned int)(G_SCD_BERR_TID(status) & 0x3f),
 	       (int)(G_SCD_BERR_TID(status) >> 6),
 	       (int)G_SCD_BERR_RID(status),
@@ -85,7 +85,7 @@
 	status = csr_in32(IO_SPACE_BASE | A_SCD_BUS_ERR_STATUS_DEBUG);
 #endif
 	if (!(status & 0x7fffffff)) {
-		printk("Using last values reaped by bus watcher driver\n");
+		printk(KERN_NOTICE "Using last values reaped by bus watcher driver\n");
 		status = bw_stats.status;
 		l2_err = bw_stats.l2_err;
 		memio_err = bw_stats.memio_err;
@@ -96,7 +96,7 @@
 	if (status & ~(1UL << 31))
 		print_summary(status, l2_err, memio_err);
 	else
-		printk("Bus watcher indicates no error\n");
+		printk(KERN_NOTICE "Bus watcher indicates no error\n");
 }
 
 static int bw_print_buffer(char *page, struct bw_stats_struct *stats)
@@ -197,7 +197,7 @@
 
 #ifndef CONFIG_PROC_FS
 	bw_print_buffer(bw_buf, stats);
-	printk(bw_buf);
+	printk(KERN_NOTICE bw_buf);
 #endif
 }
 
@@ -207,18 +207,18 @@
 	bw_stats.status_printed = 1;
 
 	if (request_irq(K_INT_BAD_ECC, sibyte_bw_int, 0, "Bus watcher", &bw_stats)) {
-		printk("Failed to register bus watcher BAD_ECC irq\n");
+		printk(KERN_ERR "Failed to register bus watcher BAD_ECC irq\n");
 		return -1;
 	}
 	if (request_irq(K_INT_COR_ECC, sibyte_bw_int, 0, "Bus watcher", &bw_stats)) {
 		free_irq(K_INT_BAD_ECC, &bw_stats);
-		printk("Failed to register bus watcher COR_ECC irq\n");
+		printk(KERN_ERR "Failed to register bus watcher COR_ECC irq\n");
 		return -1;
 	}
 	if (request_irq(K_INT_IO_BUS, sibyte_bw_int, 0, "Bus watcher", &bw_stats)) {
 		free_irq(K_INT_BAD_ECC, &bw_stats);
 		free_irq(K_INT_COR_ECC, &bw_stats);
-		printk("Failed to register bus watcher IO_BUS irq\n");
+		printk(KERN_ERR "Failed to register bus watcher IO_BUS irq\n");
 		return -1;
 	}
 
diff -urN linux-2.6.0-test1/arch/mips/sibyte/sb1250/irq.c linux-2.6.0-test1-printk-mips/arch/mips/sibyte/sb1250/irq.c
--- linux-2.6.0-test1/arch/mips/sibyte/sb1250/irq.c	2003-07-13 23:38:02.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sibyte/sb1250/irq.c	2003-07-17 21:04:14.000000000 -0400
@@ -133,7 +133,7 @@
 	}
 
 	if (mask) {
-		printk("attempted to set irq affinity for irq %d to multiple CPUs\n", irq);
+		printk(KERN_NOTICE "attempted to set irq affinity for irq %d to multiple CPUs\n", irq);
 		return;
 	}
 
diff -urN linux-2.6.0-test1/arch/mips/sibyte/sb1250/smp.c linux-2.6.0-test1-printk-mips/arch/mips/sibyte/sb1250/smp.c
--- linux-2.6.0-test1/arch/mips/sibyte/sb1250/smp.c	2003-07-13 23:34:03.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sibyte/sb1250/smp.c	2003-07-17 21:03:50.000000000 -0400
@@ -120,7 +120,7 @@
 		struct task_struct *idle;
 		struct pt_regs regs;
 		int retval;
-		printk("Starting CPU %d... ", cpu);
+		printk(KERN_INFO "Starting CPU %d... ", cpu);
 
 		/* Spawn a new process normally.  Grab a pointer to
 		   its task struct so we can mess with it */
diff -urN linux-2.6.0-test1/arch/mips/sibyte/swarm/setup.c linux-2.6.0-test1-printk-mips/arch/mips/sibyte/swarm/setup.c
--- linux-2.6.0-test1/arch/mips/sibyte/swarm/setup.c	2003-07-13 23:34:03.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sibyte/swarm/setup.c	2003-07-17 21:05:53.000000000 -0400
@@ -79,10 +79,10 @@
 	if (!is_fixup && (regs->cp0_cause & 4)) {
 		/* Data bus error - print PA */
 #ifdef CONFIG_MIPS64
-		printk("DBE physical address: %010lx\n",
+		printk(KERN_NOTICE "DBE physical address: %010lx\n",
 		       __read_64bit_c0_register($26, 1));
 #else
-		printk("DBE physical address: %010llx\n",
+		printk(KERN_NOTICE "DBE physical address: %010llx\n",
 		       __read_64bit_c0_split($26, 1));
 #endif
 	}
@@ -101,18 +101,18 @@
 	board_be_handler = swarm_be_handler;
 
 	if (xicor_probe()) {
-		printk("swarm setup: Xicor 1241 RTC detected.\n");
+		printk(KERN_INFO "swarm setup: Xicor 1241 RTC detected.\n");
 		rtc_get_time = xicor_get_time;
 		rtc_set_time = xicor_set_time;
 	}
  
 	if (m41t81_probe()) {
-		printk("swarm setup: M41T81 RTC detected.\n");
+		printk(KERN_INFO "swarm setup: M41T81 RTC detected.\n");
 		rtc_get_time = m41t81_get_time;
 		rtc_set_time = m41t81_set_time;
 	}
 
-	printk("This kernel optimized for "
+	printk(KERN_INFO "This kernel optimized for "
 #ifdef CONFIG_SIMULATION
 	       "simulation"
 #else
diff -urN linux-2.6.0-test1/arch/mips/sibyte/swarm/time.c linux-2.6.0-test1-printk-mips/arch/mips/sibyte/swarm/time.c
--- linux-2.6.0-test1/arch/mips/sibyte/swarm/time.c	2003-07-13 23:32:29.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sibyte/swarm/time.c	2003-07-17 21:04:57.000000000 -0400
@@ -173,7 +173,7 @@
 
 	xicor_write(X1241REG_SR, 0);
 
-	printk("set_rtc_mmss: %02d:%02d\n", real_minutes, real_seconds);
+	printk(KERN_NOTICE "set_rtc_mmss: %02d:%02d\n", real_minutes, real_seconds);
 
 	return retval;
 }
@@ -230,10 +230,10 @@
 	out64(0, SMB_CSR(R_SMB_CONTROL));
 
 	if ((status = xicor_read(X1241REG_SR_RTCF)) < 0) {
-		printk("x1241: couldn't detect on SWARM SMBus 1\n");
+		printk(KERN_INFO "x1241: couldn't detect on SWARM SMBus 1\n");
 	} else {
 		if (status & X1241REG_SR_RTCF)
-			printk("x1241: battery failed -- time is probably wrong\n");
+			printk(KERN_INFO "x1241: battery failed -- time is probably wrong\n");
 		write_seqlock_irqsave(&xtime_lock, flags);
 		xtime.tv_sec = get_swarm_time();
 		xtime.tv_nsec = 0;
diff -urN linux-2.6.0-test1/arch/mips/sni/pci.c linux-2.6.0-test1-printk-mips/arch/mips/sni/pci.c
--- linux-2.6.0-test1/arch/mips/sni/pci.c	2003-07-13 23:39:37.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sni/pci.c	2003-07-17 21:09:13.000000000 -0400
@@ -56,7 +56,7 @@
 		case 0:
 			break;
 		default:
-			printk("PCI device on bus %d, dev %d, function %d "
+			printk(KERN_NOTICE "PCI device on bus %d, dev %d, function %d "
 			       "impossible interrupt configured.\n",
 			       dev->bus->number, PCI_SLOT(dev->devfn),
 			       PCI_SLOT(dev->devfn));
diff -urN linux-2.6.0-test1/arch/mips/sni/pcimt_scache.c linux-2.6.0-test1-printk-mips/arch/mips/sni/pcimt_scache.c
--- linux-2.6.0-test1/arch/mips/sni/pcimt_scache.c	2003-07-13 23:39:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/sni/pcimt_scache.c	2003-07-17 21:08:55.000000000 -0400
@@ -22,17 +22,17 @@
 
 	scsiz = cacheconf & 7;
 	if (scsiz == 0) {
-		printk("Second level cache is deactived.\n");
+		printk(KERN_INFO "Second level cache is deactived.\n");
 		return;
 	}
 	if (scsiz >= 6) {
-		printk("Invalid second level cache size configured, "
+		printk(KERN_INFO "Invalid second level cache size configured, "
 		       "deactivating second level cache.\n");
 		cacheconf = 0;
 		return;
 	}
 
 	sc_size = 128 << scsiz;
-	printk("%dkb second level cache detected, deactivating.\n", sc_size);
+	printk(KERN_INFO "%dkb second level cache detected, deactivating.\n", sc_size);
 	cacheconf = 0;
 }
diff -urN linux-2.6.0-test1/arch/mips/tx4927/common/tx4927_setup.c linux-2.6.0-test1-printk-mips/arch/mips/tx4927/common/tx4927_setup.c
--- linux-2.6.0-test1/arch/mips/tx4927/common/tx4927_setup.c	2003-07-13 23:33:11.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/tx4927/common/tx4927_setup.c	2003-07-17 21:00:06.000000000 -0400
@@ -99,10 +99,10 @@
 
 #ifdef CONFIG_KGDB
 	{
-		printk("Calling breakpoint() -- start remote kgdb\n");
+		printk(KERN_NOTICE "Calling breakpoint() -- start remote kgdb\n");
 		set_debug_traps();
 		breakpoint();
-		printk("Calling breakpoint() -- done\n");
+		printk(KERN_NOTICE "Calling breakpoint() -- done\n");
 	}
 #endif
 
@@ -139,7 +139,7 @@
 #ifdef DEBUG
 void print_cp0(char *key, int num, char *name, u32 val)
 {
-	printk("%s cp0:%02d:%s=0x%08x\n", key, num, name, val);
+	printk(KERN_DEBUG "%s cp0:%02d:%s=0x%08x\n", key, num, name, val);
 	return;
 }
 
@@ -169,7 +169,7 @@
 	
 void print_pic(char *key, u32 reg, char *name)
 {
-	printk("%s pic:0x%08x:%s=0x%08x\n", key, reg, name,
+	printk(KERN_NOTICE "%s pic:0x%08x:%s=0x%08x\n", key, reg, name,
 	       TX4927_RD(reg));
 	return;
 }
@@ -211,7 +211,7 @@
 
 void print_addr(char *hdr, char *key, u32 addr)
 {
-	printk("%s %s:0x%08x=0x%08x\n", hdr, key, addr, TX4927_RD(addr));
+	printk(KERN_NOTICE "%s %s:0x%08x=0x%08x\n", hdr, key, addr, TX4927_RD(addr));
 	return;
 }
 
@@ -246,6 +246,6 @@
 
 	__asm__ __volatile__("ori %0, $26, 0":"=r"(val)
 	    );
-	printk("k0=[0x%08x]\n", val);
+	printk(KERN_NOTICE "k0=[0x%08x]\n", val);
 }
 #endif
diff -urN linux-2.6.0-test1/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_pci_fixup.c linux-2.6.0-test1-printk-mips/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_pci_fixup.c
--- linux-2.6.0-test1/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_pci_fixup.c	2003-07-13 23:37:34.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_pci_fixup.c	2003-07-17 20:57:59.000000000 -0400
@@ -95,7 +95,7 @@
 	irq--;			/* 0-3 */
 	if (dev->bus->parent == NULL &&
 	    PCI_SLOT(dev->devfn) == TX4927_PCIC_IDSEL_AD_TO_SLOT(23)) {
-		printk("Onboard PCI_SLOT(dev->devfn) is %d\n",
+		printk(KERN_NOTICE "Onboard PCI_SLOT(dev->devfn) is %d\n",
 		       PCI_SLOT(dev->devfn));
 		/* IDSEL=A23 is tx4927 onboard pci slot */
 		irq = (irq + PCI_SLOT(dev->devfn)) % 4;
@@ -174,9 +174,9 @@
 	v2 = *(volatile u32 *) a2;
 
 	if (v1)
-		printk("TX4927 0x%08x 0x%08x\n", a1, v1);
+		printk(KERN_DEBUG "TX4927 0x%08x 0x%08x\n", a1, v1);
 	if (v2)
-		printk("TX4927 0x%08x 0x%08x\n", a2, v2);
+		printk(KERN_DEBUG "TX4927 0x%08x 0x%08x\n", a2, v2);
 }
 
 void do_it1(u32 base, u32 r)
@@ -198,56 +198,56 @@
 	unsigned long j;
 	struct pci_dev *dev;
 
-	printk("----------------------pci\n");
+	printk(KERN_DEBUG "----------------------pci\n");
 	pci_for_each_dev(dev) {
 		for (j = 0; j < 64; j++) {
 			pci_read_config_dword(dev, j * 4, &id);
 			if (id == 0)
 				continue;
 			printk
-			    ("dev 0x%02x 0x%02x:0x%02x -- 0x%02x-0x%02x 0x%08x\n",
+			    (KERN_DEBUG "dev 0x%02x 0x%02x:0x%02x -- 0x%02x-0x%02x 0x%08x\n",
 			     dev->devfn, PCI_SLOT(dev->devfn),
 			     PCI_FUNC(dev->devfn), (j * 4) + 3, (j * 4),
 			     id);
 		}
-		printk("dev 0x%02x \n", dev->devfn);
+		printk(KERN_DEBUG "dev 0x%02x \n", dev->devfn);
 	}
-	printk("----------------------sdram\n");
+	printk(KERN_DEBUG "----------------------sdram\n");
 	do_it2(0x8000, 0x00, 0x18);
 	do_it1(0x8000, 0x40);
 	do_it1(0x8000, 0x58);
-	printk("----------------------ebus\n");
+	printk(KERN_DEBUG "----------------------ebus\n");
 	do_it2(0x9000, 0x00, 0x38);
-	printk("----------------------ecc\n");
+	printk(KERN_DEBUG "----------------------ecc\n");
 	do_it2(0xa000, 0x00, 0x08);
-	printk("----------------------dmac\n");
+	printk(KERN_DEBUG "----------------------dmac\n");
 	do_it2(0xb000, 0x00, 0xf8);
 	/* b1xx */
-	printk("----------------------pci\n");
+	printk(KERN_DEBUG "----------------------pci\n");
 	/* d */
-	printk("----------------------cfg\n");
+	printk(KERN_DEBUG "----------------------cfg\n");
 	do_it2(0xe000, 0x00, 0x20);
 	do_it1(0xe000, 0x30);
 	do_it1(0xe000, 0x48);
-	printk("----------------------timers\n");
+	printk(KERN_DEBUG "----------------------timers\n");
 	do_it2(0xf000, 0x00, 0xf0);
 	do_it2(0xf100, 0x00, 0xf0);
 	do_it2(0xf200, 0x00, 0xf0);
-	printk("----------------------serial\n");
+	printk(KERN_DEBUG "----------------------serial\n");
 	do_it2(0xf300, 0x00, 0x20);
 	do_it2(0xf400, 0x00, 0x20);
-	printk("----------------------parallel\n");
+	printk(KERN_DEBUG "----------------------parallel\n");
 	do_it2(0xf500, 0x00, 0x0c);
-	printk("----------------------pic\n");
+	printk(KERN_DEBUG "----------------------pic\n");
 	do_it2(0xf500, 0x10, 0x24);
 	do_it2(0xf600, 0x00, 0x2c);
 	do_it1(0xf600, 0x40);
 	do_it1(0xf600, 0x60);
 	do_it1(0xf600, 0x80);
 	do_it1(0xf600, 0xa0);
-	printk("----------------------aclink\n");
+	printk(KERN_DEBUG "----------------------aclink\n");
 	do_it2(0xf700, 0x00, 0xfc);
-	printk("----------------------done\n");
+	printk(KERN_DEBUG "----------------------done\n");
 }
 #endif
 
diff -urN linux-2.6.0-test1/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_pci_ops.c linux-2.6.0-test1-printk-mips/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_pci_ops.c
--- linux-2.6.0-test1/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_pci_ops.c	2003-07-13 23:30:37.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_pci_ops.c	2003-07-17 20:32:13.000000000 -0400
@@ -107,7 +107,7 @@
 						<< 16);
 		tx4927_pcicptr->pcimask |= PCI_STATUS_REC_MASTER_ABORT;
 		code = PCIBIOS_DEVICE_NOT_FOUND;
-		//      printk("returning PCIBIOS_DEVICE_NOT_FOUND\n");
+		//      printk(KERN_ERR "returning PCIBIOS_DEVICE_NOT_FOUND\n");
 	}
 	return code;
 }
@@ -148,7 +148,7 @@
 	retval = check_abort(flags);
 	if (retval == PCIBIOS_DEVICE_NOT_FOUND)
 		*val = 0xff;
-//printk("CFG R1 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, *val );
+//printk(KERN_DEBUG "CFG R1 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, *val );
 	return retval;
 }
 
@@ -187,7 +187,7 @@
 	retval = check_abort(flags);
 	if (retval == PCIBIOS_DEVICE_NOT_FOUND)
 		*val = 0xffff;
-//printk("CFG R2 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, *val );
+//printk(KERN_DEBUG "CFG R2 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, *val );
 	return retval;
 }
 
@@ -219,7 +219,7 @@
 	if (retval == PCIBIOS_DEVICE_NOT_FOUND)
 		*val = 0xffffffff;
 
-//printk("CFG R4 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, *val );
+//printk(KERN_DEBUG "CFG R4 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, *val );
 	return retval;
 }
 
@@ -247,7 +247,7 @@
 	*(volatile u8 *) ((ulong) & tx4927_pcicptr->
 			  g2pcfgdata | (where & 3)) = val;
 #endif
-//printk("CFG W1 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, val );
+//printk(KERN_DEBUG "CFG W1 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, val );
 	return check_abort(flags);
 }
 
@@ -278,7 +278,7 @@
 	*(volatile u16 *) ((ulong) & tx4927_pcicptr->
 			   g2pcfgdata | (where & 3)) = val;
 #endif
-//printk("CFG W2 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, val );
+//printk(KERN_DEBUG "CFG W2 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, val );
 	return check_abort(flags);
 }
 
@@ -303,7 +303,7 @@
 	if (mkaddr(bus, dev->devfn, where, &flags))
 		return -1;
 	tx4927_pcicptr->g2pcfgdata = val;
-//printk("CFG W4 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, val );
+//printk(KERN_DEBUG "CFG W4 0x%02x 0x%02x 0x%08x\n", dev->devfn, where, val );
 	return check_abort(flags);
 }
 
diff -urN linux-2.6.0-test1/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_setup.c linux-2.6.0-test1-printk-mips/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_setup.c
--- linux-2.6.0-test1/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_setup.c	2003-07-13 23:35:16.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/tx4927/toshiba_rbtx4927/toshiba_rbtx4927_setup.c	2003-07-17 20:56:22.000000000 -0400
@@ -126,7 +126,7 @@
         { \
            char tmp[100]; \
            sprintf( tmp, str ); \
-           printk( "%s(%s:%u)::%s", __FUNCTION__, __FILE__, __LINE__, tmp ); \
+           printk(KERN_DEBUG "%s(%s:%u)::%s", __FUNCTION__, __FILE__, __LINE__, tmp ); \
         }
 #else
 #define TOSHIBA_RBTX4927_SETUP_DPRINTK(flag,str...)
@@ -171,13 +171,13 @@
 #ifdef CONFIG_PCI
 void tx4927_dump_pcic_settings(void)
 {
-	printk("%s pcic settings:",toshiba_name);
+	printk(KERN_EMERG "%s pcic settings:",toshiba_name);
 	{
 		int i;
 		unsigned long *preg = (unsigned long *) tx4927_pcicptr;
 		for (i = 0; i < sizeof(struct tx4927_pcic_reg); i += 4) {
 			if (i % 32 == 0)
-				printk("\n%04x:", i);
+				printk(KERN_EMERG "\n%04x:", i);
 			if (preg == &tx4927_pcicptr->g2pintack
 			    || preg == &tx4927_pcicptr->g2pspc
 #ifdef CONFIG_TX4927BUG_WORKAROUND
@@ -185,15 +185,15 @@
 			    || preg == &tx4927_pcicptr->g2pcfgdata
 #endif
 			    ) {
-				printk(" XXXXXXXX");
+				printk(KERN_EMERG " XXXXXXXX");
 				preg++;
 				continue;
 			}
-			printk(" %08lx", *preg++);
+			printk(KERN_EMERG " %08lx", *preg++);
 			if (preg == &tx4927_pcicptr->g2pcfgadrs)
 				break;
 		}
-		printk("\n");
+		printk(KERN_EMERG "\n");
 	}
 }
 
@@ -215,11 +215,11 @@
 		return;
 	}
 #endif
-	printk("PCI error interrupt (irq 0x%x).\n", irq);
-	printk("pcistat:%04x, g2pstatus:%08lx, pcicstatus:%08lx\n",
+	printk(KERN_ERR "PCI error interrupt (irq 0x%x).\n", irq);
+	printk(KERN_ERR "pcistat:%04x, g2pstatus:%08lx, pcicstatus:%08lx\n",
 	       (unsigned short) (tx4927_pcicptr->pcistatus >> 16),
 	       tx4927_pcicptr->g2pstatus, tx4927_pcicptr->pcicstatus);
-	printk("ccfg:%08lx, tear:%02lx_%08lx\n",
+	printk(KERN_ERR "ccfg:%08lx, tear:%02lx_%08lx\n",
 	       (unsigned long) tx4927_ccfgptr->ccfg,
 	       (unsigned long) (tx4927_ccfgptr->tear >> 32),
 	       (unsigned long) tx4927_ccfgptr->tear);
@@ -322,8 +322,8 @@
 
 void print_pci_status(void)
 {
-	printk("PCI STATUS %lx\n", tx4927_pcicptr->pcistatus);
-	printk("PCIC STATUS %lx\n", tx4927_pcicptr->pcicstatus);
+	printk(KERN_NOTICE "PCI STATUS %lx\n", tx4927_pcicptr->pcistatus);
+	printk(KERN_NOTICE "PCIC STATUS %lx\n", tx4927_pcicptr->pcicstatus);
 }
 
 static struct pci_dev *fake_pci_dev(struct pci_channel *hose,
@@ -619,7 +619,7 @@
 
 #ifndef  TX4927_SUPPORT_PCI_66
 	if (tx4927_ccfgptr->ccfg & TX4927_CCFG_PCI66)
-		printk("PCI 66 current unsupported\n");
+		printk(KERN_INFO "PCI 66 current unsupported\n");
 #endif
 
 	mips_memory_upper = tx4927_get_mem_size() << 20;
@@ -671,7 +671,7 @@
 
 	if (!called) {
 		printk
-		    ("TX4927 PCIC -- DID:%04x VID:%04x RID:%02x Arbiter:%s\n",
+		    (KERN_INFO "TX4927 PCIC -- DID:%04x VID:%04x RID:%02x Arbiter:%s\n",
 		     (unsigned short) (tx4927_pcicptr->pciid >> 16),
 		     (unsigned short) (tx4927_pcicptr->pciid & 0xffff),
 		     (unsigned short) (tx4927_pcicptr->pciccrev & 0xff),
@@ -680,7 +680,7 @@
 		     "Internal");
 		called = 1;
 	}
-	printk("%s PCIC --%s PCICLK:",toshiba_name,
+	printk(KERN_INFO "%s PCIC --%s PCICLK:",toshiba_name,
 	       (tx4927_ccfgptr->ccfg & TX4927_CCFG_PCI66) ? " PCI66" : "");
 	if (tx4927_ccfgptr->pcfg & TX4927_PCFG_PCICLKEN_ALL) {
 		int pciclk = 0;
@@ -699,7 +699,7 @@
 			pciclk = tx4927_cpu_clock / 6;
 			break;
 		}
-		printk("Internal(%dMHz)", pciclk / 1000000);
+		printk(KERN_INFO "Internal(%dMHz)", pciclk / 1000000);
 	} else {
 		int pciclk = 0;
 		int pciclk_setting = *tx4927_pci_clk_ptr;
@@ -717,9 +717,9 @@
 			pciclk = 50000000;
 			break;
 		}
-		printk("External(%dMHz)", pciclk / 1000000);
+		printk(KERN_INFO "External(%dMHz)", pciclk / 1000000);
 	}
-	printk("\n");
+	printk(KERN_INFO "\n");
 
 
 
@@ -811,7 +811,7 @@
 	if (tx4927_pcic_trdyto >= 0) {
 		tx4927_pcicptr->g2ptocnt &= ~0xff;
 		tx4927_pcicptr->g2ptocnt |= (tx4927_pcic_trdyto & 0xff);
-		//printk("%s PCIC -- TRDYTO:%02lx\n",toshiba_name,
+		//printk(KERN_INFO "%s PCIC -- TRDYTO:%02lx\n",toshiba_name,
 		//      tx4927_pcicptr->g2ptocnt & 0xff);
 	}
 
@@ -912,7 +912,7 @@
 {
 	vu32 cp0_config;
 
-	printk("CPU is %s\n", toshiba_name);
+	printk(KERN_INFO "CPU is %s\n", toshiba_name);
 
 	TOSHIBA_RBTX4927_SETUP_DPRINTK(TOSHIBA_RBTX4927_SETUP_SETUP,
 				       "-\n");
@@ -1067,9 +1067,9 @@
 					PCI_VENDOR_ID, &id);
 		if (id == 0x94601055) {
 			tx4927_using_backplane = 1;
-			printk("backplane board IS installed\n");
+			printk(KERN_INFO "backplane board IS installed\n");
 		} else {
-			printk("backplane board NOT installed\n");
+			printk(KERN_INFO "backplane board NOT installed\n");
 		}
 	}
 
diff -urN linux-2.6.0-test1/arch/mips/vr41xx/common/giu.c linux-2.6.0-test1-printk-mips/arch/mips/vr41xx/common/giu.c
--- linux-2.6.0-test1/arch/mips/vr41xx/common/giu.c	2003-07-13 23:30:36.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/vr41xx/common/giu.c	2003-07-17 16:44:25.000000000 -0400
@@ -260,7 +260,7 @@
 	}
 
 	if (setup_irq(GIUINT_CASCADE_IRQ, &giu_cascade))
-		printk("GIUINT: Can not cascade IRQ %d.\n", GIUINT_CASCADE_IRQ);
+		printk(KERN_WARNING "GIUINT: Can not cascade IRQ %d.\n", GIUINT_CASCADE_IRQ);
 
 	if (board_irq_init)
 		board_irq_init();
diff -urN linux-2.6.0-test1/arch/mips/vr41xx/common/icu.c linux-2.6.0-test1-printk-mips/arch/mips/vr41xx/common/icu.c
--- linux-2.6.0-test1/arch/mips/vr41xx/common/icu.c	2003-07-13 23:28:56.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/vr41xx/common/icu.c	2003-07-17 16:44:02.000000000 -0400
@@ -329,7 +329,7 @@
 	set_except_vector(0, vr41xx_handle_interrupt);
 
 #ifdef CONFIG_KGDB
-	printk("Setting debug traps - please connect the remote debugger.\n");
+	printk(KERN_DEBUG "Setting debug traps - please connect the remote debugger.\n");
 	set_debug_traps();
 	breakpoint();
 #endif
